import sys
from pathlib import Path

from lib.ClienteLinux import obter_cliente_linux
from lib.echo import echo
from lib.executar_validacoes_servidor_linux import executar_validacoes_servidor_linux
from lib.hard_reset_linux import executar_hard_reset_linux
from lib.obter_configuracoes import obter_configuracoes


arquivo_configuracao = None if len(sys.argv) < 2 else sys.argv[1]
diretorio_scripts_implantacao = str(Path(__file__).resolve().parents[1]) if len(sys.argv) < 3 else sys.argv[2]

configuracoes = obter_configuracoes(arquivo_configuracao)

if not configuracoes:
    echo(f"Falha ao carregar configuracoes do arquivo {arquivo_configuracao}", "error")
    exit(1)

if not configuracoes["acessos"]["servidorLinux"]["configurar"]:
    echo("Dados do servidor linux nao informados. Hard reset Linux nao sera executado")
    exit(0)

mensagem_erro = executar_validacoes_servidor_linux(arquivo_configuracao, diretorio_scripts_implantacao)

if mensagem_erro:
    echo(mensagem_erro, "error")
    exit(1)

cliente_linux = obter_cliente_linux(arquivo_configuracao)
usuario = configuracoes["acessos"]["servidorLinux"]["usuario"]

echo("Iniciando hard reset Linux")
executar_hard_reset_linux(cliente_linux, usuario)

echo("Hard reset Linux concluido")
exit(0)
